%define url_ver %(echo %{version} | cut -d. -f1,2)

#exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	Battery monitor plugin for the Xfce panel
Name:		xfce4-battery-plugin
Version:	1.1.6
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://goodies.xfce.org/projects/panel-plugins/xfce4-battery-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-battery-plugin/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	xfce4-dev-tools
Requires:	xfce4-panel >= 4.16.0

%description
Battery monitor panel plugin for the Xfce Desktop Environment.

%prep
%setup -q

%build
#to fix debug symbols build
%xdt_autogen
%configure
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%license COPYING*
%doc README* ChangeLog AUTHORS
%{_libdir}/xfce4/panel/plugins/libbattery.so
%{_datadir}/xfce4/panel/plugins/battery.desktop
%{_iconsdir}/hicolor/*/apps/*


%changelog
* Wed Dec 25 2024 wally <wally> 1.1.6-1.mga10
+ Revision: 2130018
- new version 1.1.6

* Sat Apr 22 2023 wally <wally> 1.1.5-1.mga9
+ Revision: 1954064
- new version 1.1.5

* Mon Apr 04 2022 umeabot <umeabot> 1.1.4-2.mga9
+ Revision: 1843556
- Mageia 9 Mass Rebuild

* Mon Apr 05 2021 wally <wally> 1.1.4-1.mga9
+ Revision: 1713547
- new version 1.1.4

* Sat Feb 15 2020 umeabot <umeabot> 1.1.3-2.mga8
+ Revision: 1528217
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Aug 13 2019 wally <wally> 1.1.3-1.mga8
+ Revision: 1429163
- new version 1.1.3

* Sun Jan 13 2019 wally <wally> 1.1.2-1.mga7
+ Revision: 1355972
- new version 1.1.2

* Sun Sep 23 2018 wally <wally> 1.1.1-1.mga7
+ Revision: 1297115
- new version 1.1.1

* Sat Sep 30 2017 wally <wally> 1.1.0-1.mga7
+ Revision: 1161924
- new version 1.1.0
- switch to gtk3

* Wed Feb 17 2016 umeabot <umeabot> 1.0.5-8.mga6
+ Revision: 963495
- Mageia 6 Mass Rebuild

* Sat Sep 19 2015 wally <wally> 1.0.5-7.mga6
+ Revision: 881440
- fix debug symbols build

* Tue Mar 03 2015 wally <wally> 1.0.5-6.mga5
+ Revision: 817432
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 1.0.5-5.mga5
+ Revision: 750211
- Second Mageia 5 Mass Rebuild

* Sun Sep 21 2014 wally <wally> 1.0.5-4.mga5
+ Revision: 706911
- exclude plugin .so from provides
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.5-3.mga4
+ Revision: 520617
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.5-2.mga3
+ Revision: 386791
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 30 2012 wally <wally> 1.0.5-1.mga3
+ Revision: 265360
- new version 1.0.5

* Mon May 28 2012 wally <wally> 1.0.4-1.mga3
+ Revision: 248536
- new version 1.0.4
- clean .spec

* Tue Jan 03 2012 wally <wally> 1.0.0-2.mga2
+ Revision: 190055
- rebuild for new xfce4-panel

* Sat Feb 19 2011 ahmad <ahmad> 1.0.0-1.mga1
+ Revision: 54065
- sync with xfce4-battery-plugin-1.0.0-1.src.rpm (Manriva):
  o update to new version 1.0.0
  o drop patches 2 and 3
  o drop old scriplets
  o fix file list
  o update url for Source0
- imported package xfce4-battery-plugin


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.1-7mdv2011.0
+ Revision: 615565
- the mass rebuild of 2010.1 packages

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.1-6mdv2010.1
+ Revision: 543416
- rebuild for mdv 2010.1

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 0.5.1-5mdv2010.0
+ Revision: 445973
- rebuild

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - scriplets are now handles by filetriggers

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.1-3mdv2009.1
+ Revision: 349444
- rebuild for xfce-4.6.0

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.1-2mdv2009.1
+ Revision: 294988
- rebuild for new Xfce4.6 beta1

* Fri Sep 05 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.1-1mdv2009.0
+ Revision: 280983
- update to new version 0.5.1
- drop patches 0 and 1 as they were fixed upstream

* Sat Aug 09 2008 Thierry Vignaud <tv@mandriva.org> 0.5.0-9mdv2009.0
+ Revision: 269783
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-8mdv2009.0
+ Revision: 194473
- merge patch 3 and 4 into one patch
- Patch3: rediff
- Patch4: fix apm_bios.h header placement

* Sun Feb 03 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-7mdv2008.1
+ Revision: 161855
- Patch0: fixes against kernel-2.6.21 and above
  Patch3: fixes against kernel-2.6.24

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 06 2007 Jérôme Soyer <saispo@mandriva.org> 0.5.0-6mdv2008.1
+ Revision: 116032
- Add two patches for lower acpi and us sysfs if available

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-5mdv2008.1
+ Revision: 110098
- correct buildrequires
- new license policy
- use upstream tarball name as a real name
- use upstream name

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-3mdv2008.0
+ Revision: 33205
- add macros to %%post and %%postun
- spec file clean

